Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libwbxml
#Epoch:		0
Version:	0.10.7
Release:	1
License:	GNU/LGPL
URL:		https://libwbxml.opensync.org/
Group:		System/Libraries
Summary:	library to parse, encode and handle WBXML documents
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
The WBXML Library (libwbxml) contains a library and its associated tools to parse, encode and handle WBXML documents. The WBXML format is a binary representation of XML, defined by the  Wap Forum, and used to reduce bandwidth in mobile communications. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -Rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/wbxml2xml
%{_bindir}/xml2wbxml
%{_libdir}/libwbxml2.so.*
%{_datadir}/doc/libwbxml

%files devel
%defattr(-,root,root)
%{_includedir}/wbxml_base64.h
%{_includedir}/wbxml_buffers.h
%{_includedir}/wbxml_charset.h
%{_includedir}/wbxml_config.h
%{_includedir}/wbxml_conv.h
%{_includedir}/wbxml_elt.h
%{_includedir}/wbxml_encoder.h
%{_includedir}/wbxml_errors.h
%{_includedir}/wbxml.h
%{_includedir}/wbxml_handlers.h
%{_includedir}/wbxml_lists.h
%{_includedir}/wbxml_log.h
%{_includedir}/wbxml_mem.h
%{_includedir}/wbxml_parser.h
%{_includedir}/wbxml_tables.h
%{_includedir}/wbxml_tree_clb_wbxml.h
%{_includedir}/wbxml_tree_clb_xml.h
%{_includedir}/wbxml_tree.h
%{_libdir}/libwbxml2.so
%{_pkgconfig}/libwbxml2.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.7-1
- initial CCux package release
